%define	name	esmart
%define version 0.9.0.042
%define release %mkrel 1

%define major 	0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment collection of evas smart objects
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel
BuildRequires:	ecore-devel
BuildRequires:	imlib2-devel
BuildRequires:	epsilon-devel
BuildRequires:	edje-devel, edje
BuildRequires:  libtool-devel

%description
A collection of evas smart objects.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %{name}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel
Provides: %name-devel

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%{_libdir}/%name
%{_datadir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/Esmart



%changelog
* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.9.0.042-1mdv2008.1
+ Revision: 161570
- new version
- tidy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.9.0.011-1mdv2008.1
+ Revision: 104075
- CVS SNAPSHOT 20071031, release 0.9.0.011

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.9.0.008-5mdv2008.0
+ Revision: 76888
- add edje buildrequires
- fix missgin file esmart-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.9.0.008

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.9.0.008-4mdv2008.0
+ Revision: 32631
- CVS SNAPSHOT 20070529, release 0.9.0.008

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.9.0.008-3mdv2008.0
+ Revision: 30824
- add edb-devel buildrequires
- CVS snapshot 20070524, release 0.9.0.008, adjust buildrequires

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0.007-1mdv2008.0
+ Revision: 22055
- 0.9.0.007
- mkrel
- add an empty line at the end
- Import esmart



* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.9.0.006-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.9.0.005-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.9.0.005-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.9.0.004-0.20051124.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.9.0.004-0.20051109.1mdk
- new cvs checkout

* Sat Nov 05 2005 Austin Acton <austin@mandriva.org> 0.9.0.004-0.20051104.1mdk
- new cvs checkout

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0.004-0.20050904.2mdk
- Fix BuildRequires

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.9.0.004-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.9.0.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050524.1mdk
- new cvs checkout
- multiarch binaries
- docs to binary package

* Sun May 15 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050511.2mdk
- lib requires bin (honestly, it's better this way)
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.9.0.003-0.20050511.1mdk
- initial package
